Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QTextStream.RealNumberNotation

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QTextStream.RealNumberNotation

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextStream

    public static final class QTextStream.RealNumberNotation

extends java.lang.Enum
implements QtEnumerator

This enum specifies which notations to use for expressing `float` and `double` as strings.

See also:
  `setRealNumberNotation()`.

See Also:
  Serialized Form

Field Summary
`static QTextStream.RealNumberNotation` | `FixedNotation` Fixed-point notation (`printf()`'s `%f` flag).
`static QTextStream.RealNumberNotation` | `ScientificNotation` Scientific notation (`printf()`'s `%e` flag).
`static QTextStream.RealNumberNotation` | `SmartNotation` Scientific or fixed-point notation, depending on which makes most sense (`printf()`'s `%g` flag).

Method Summary
`static QTextStream.RealNumberNotation` | `resolve(int value)` Returns the QTextStream$RealNumberNotation constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextStream.RealNumberNotation` | `valueOf(java.lang.String name)`
`static QTextStream.RealNumberNotation[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SmartNotation

    public static final QTextStream.RealNumberNotation SmartNotation

  Scientific or fixed-point notation, depending on which makes most sense (`printf()`'s `%g` flag).

### FixedNotation

    public static final QTextStream.RealNumberNotation FixedNotation

  Fixed-point notation (`printf()`'s `%f` flag).

### ScientificNotation

    public static final QTextStream.RealNumberNotation ScientificNotation

  Scientific notation (`printf()`'s `%e` flag).

Method Detail

### values

    public static QTextStream.RealNumberNotation[] values()

### valueOf

    public static QTextStream.RealNumberNotation valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextStream.RealNumberNotation resolve(int value)

  Returns the QTextStream$RealNumberNotation constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD